Skip to main content
`Ctrl`+`K`

# DMForestGetPartitionOverlap

Get the amount of cell-overlap present in parallel partitions of a forest, with values > 0 indicating subdomains that are expanded by that many iterations of adding adjacent cells

## Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetPartitionOverlap(DM dm, PetscInt *overlap)

Not Collective

## Input Parameter

- dm - the forest

## Output Parameter

- overlap - default 0

## See Also

`DM`, `DMFOREST`, `DMForestSetAdjacencyDimension()`, `DMForestSetAdjacencyCodimension()`

## Level

intermediate

## Location

src/dm/impls/forest/forest.c

Index of all DMForest routines
Table of Contents for all manual pages
Index of all manual pages